<section class="container-fluid animated fadeIn">
  <div class="row wall wall-sm mb">
    <div class="col-md-auto">
      <button class="btn-outline w-100" routerLink="/panel/site/add" [queryParams]="query.params()">{{ 'site.create.title' | translate }}</button>
    </div>
    <div class="col-md col-sm-hidden"></div>
    <!-- <div class="col-md-auto">
      <input class="search-input small text-center" type="text" [ngModel]="filters.search"
        (keyup)="search.pass($event, 'site')" placeholder="{{ 'search' | translate }}">
    </div> -->
  </div>
  <div class="row pb">
    <div class="col-12">
      <div class="wall">
        <div class="table-wrapper">
          <table class="table">
            <thead>
              <th>#</th>
              <th>
                {{ 'banner.create.b-title' | translate }}
              </th>
              <th>{{ 'site.create.position' | translate }}</th>
              <th>
                {{ 'actors.list.create-date' | translate }}
              </th>
              <th class="text-center">{{ 'operation.actions' | translate }}</th>
            </thead>
            <tbody>
              <tr *ngFor="let res of mainpages;index as index">
                <td>{{ index + 1 }}</td>
                <td *ngIf="res.title != ''">{{ res.title }}</td>
                <td *ngIf="res.title == ''"> _ </td>
                <td>
                  {{res.position|number}}
                </td>
                <td>
                  {{res.created_at|jalali}}
                </td>
                <td class="text-center">
                  <div class="fa fa-edit tools edit px-2" [routerLink]="['/panel/site/edit', res.id]" [queryParams]="query.params()" title="{{'upload.list.edit' | translate}}"></div>
                  <div class="fa fa-trash tools delete" (click)="deleteSite(res.id)"></div>
                </td>
              </tr>
            </tbody>
            <tfoot>
              <tr [hidden]="mainpages.length">
                <td colspan="8" class="text-center">
                  <b>{{ 'table.empty' | translate }}</b>
                </td>
              </tr>
            </tfoot>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="row pb">
    <div class="col">
      <pagination [totalRecords]="totalPages * filters.limit" [recordsPerPage]="filters.limit" (onPageChange)="getSite($event)"></pagination>
    </div>
  </div>
</section>